/* This file is part of the KDE Project
   Copyright (C) 2001 Kurt Granroth <granroth@kde.org>
   Copyright (C) 2003 Rand2342 <rand2342@yahoo.com>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/
#ifndef __plugin_babelfish_h
#define __plugin_babelfish_h

#include <tdeparts/plugin.h>
#include <klibloader.h>

class KURL;
namespace TDEIO { class Job; }

class PluginBabelFish : public KParts::Plugin
{
  Q_OBJECT
  
public:
  PluginBabelFish( TQObject* parent, const char* name,
	           const TQStringList & );
  virtual ~PluginBabelFish();

public slots:
  void translateURL();
protected slots:
  void slotStarted( TDEIO::Job* );

private:
  TDEActionMenu* m_menu;
  TDEActionMenu* m_de;
  TDEActionMenu* m_en;
  TDEActionMenu* m_es;
  TDEActionMenu* m_fr;
  TDEActionMenu* m_it;
  TDEActionMenu* m_nl;
  TDEActionMenu* m_pt;
};

#endif
